package parser;

import java.io.BufferedReader;
import java.io.BufferedWriter;
import java.io.File;
import java.io.FileNotFoundException;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
/**
 * 
 * @author Wolfgang Kuhl
 *
 */
public class Parser {
	
	private BufferedReader br = null;
	private BufferedWriter bw = null;
	private File outputFile = null;
	private String output = "";
	private String zeile = "";	
	
	/**Die Methode nimmt ein File-Objekt entgegen und wandelt dieses dann In eine "Wiki-Liste" um.
	 * 
	 * @param file eine Datei mit Textinhalt 
	 * @return String
	 * @throws IOException
	 */
		public String parseToWikiString(File file) throws IOException{
				try {
					br = new BufferedReader(new FileReader(file));	
					zeile = br.readLine();
					while (zeile != null) {
						if(!zeile.equals("")){	
							zeile = zeile.trim();
							if(zeile.charAt(1) == '.' || zeile.charAt(1) == ' '){
								output = output + "\r\n * ";
								zeile = zeile.substring(2).trim();
								output = output + zeile;	
							}else
								output = output + zeile ;		
						}
						zeile = br.readLine();
					}
					br.close();
					return output;
				}catch (FileNotFoundException e){
					e.printStackTrace();}
			return "Fehler beim Parsen";
		}
		/**Schreibt die output.txt
		 * 
		 * @param string
		 * @return boolean
		 */
		public boolean writeOutputText(String string){
			outputFile = new File("output.txt");
				try {
					bw = new BufferedWriter(new FileWriter(outputFile));
					bw.write(string);
			        bw.close();
				}catch (IOException e){
					e.printStackTrace();}
			return true;
		}
		
}
